;************************************************************************
;* TITLE	: ANIMATE.S						*
;*									*
;* Project #	: JAGUAR ANIMATION SHOW from Sample CD			*
;* Programmer	: Pradip K Fatehpuria	04/21/94			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;************************************************************************

.title	"ANIMATE.S - Code to prepare MASTER FILES for CD Recording"

;*======================================================================*
;* LOCAL EQUATES

MAXFILES	equ	72

;*======================================================================*
;* EXTERNAL DATA

	.extern	p00_ptr,p01_ptr,p02_ptr,p03_ptr,p04_ptr
	.extern	p05_ptr,p06_ptr,p07_ptr,p08_ptr,p09_ptr
	.extern	p10_ptr,p11_ptr,p12_ptr,p13_ptr,p14_ptr
	.extern	p15_ptr,p16_ptr,p17_ptr,p18_ptr,p19_ptr
	.extern	p20_ptr,p21_ptr,p22_ptr,p23_ptr,p24_ptr
	.extern	p25_ptr,p26_ptr,p27_ptr,p28_ptr,p29_ptr
	.extern	p30_ptr,p31_ptr,p32_ptr,p33_ptr,p34_ptr
	.extern	p35_ptr,p36_ptr,p37_ptr,p38_ptr,p39_ptr
	.extern	p40_ptr,p41_ptr,p42_ptr,p43_ptr,p44_ptr
	.extern	p45_ptr,p46_ptr,p47_ptr,p48_ptr,p49_ptr
	.extern	p50_ptr,p51_ptr,p52_ptr,p53_ptr,p54_ptr
	.extern	p55_ptr,p56_ptr,p57_ptr,p58_ptr,p59_ptr
	.extern	p60_ptr,p61_ptr,p62_ptr,p63_ptr,p64_ptr
	.extern	p65_ptr,p66_ptr,p67_ptr,p68_ptr,p69_ptr
	.extern	p70_ptr,p71_ptr

	.extern	p00_fil,p01_fil,p02_fil,p03_fil,p04_fil
	.extern	p05_fil,p06_fil,p07_fil,p08_fil,p09_fil
	.extern	p10_fil,p11_fil,p12_fil,p13_fil,p14_fil
	.extern	p15_fil,p16_fil,p17_fil,p18_fil,p19_fil
	.extern	p20_fil,p21_fil,p22_fil,p23_fil,p24_fil
	.extern	p25_fil,p26_fil,p27_fil,p28_fil,p29_fil
	.extern	p30_fil,p31_fil,p32_fil,p33_fil,p34_fil
	.extern	p35_fil,p36_fil,p37_fil,p38_fil,p39_fil
	.extern	p40_fil,p41_fil,p42_fil,p43_fil,p44_fil
	.extern	p45_fil,p46_fil,p47_fil,p48_fil,p49_fil
	.extern	p50_fil,p51_fil,p52_fil,p53_fil,p54_fil
	.extern	p55_fil,p56_fil,p57_fil,p58_fil,p59_fil
	.extern	p60_fil,p61_fil,p62_fil,p63_fil,p64_fil
	.extern	p65_fil,p66_fil,p67_fil,p68_fil,p69_fil
	.extern	p70_fil,p71_fil

;*======================================================================*
;* GLOBAL DATA

	.globl	_datlist
	.globl	_fillist

;************************************************************************
;* SUBROUTINE AREA
;************************************************************************

	.text

;*======================================================================*
;*======================================================================*

start:
	move.l	#newstack,a7

.over:	illegal

;************************************************************************
;* VARIABLE DATA AREA
;************************************************************************

	.bss

;*======================================================================*
;*======================================================================*

		.long
		.ds.l	2000
newstack:	.ds.l	1
		.long

;************************************************************************
;* VARIABLE DATA AREA
;************************************************************************

	.data

;*======================================================================*
;*======================================================================*

_datlist:	.dc.l	p00_ptr,p01_ptr,p02_ptr,p03_ptr,p04_ptr
		.dc.l	p05_ptr,p06_ptr,p07_ptr,p08_ptr,p09_ptr
		.dc.l	p10_ptr,p11_ptr,p12_ptr,p13_ptr,p14_ptr
		.dc.l	p15_ptr,p16_ptr,p17_ptr,p18_ptr,p19_ptr
		.dc.l	p20_ptr,p21_ptr,p22_ptr,p23_ptr,p24_ptr
		.dc.l	p25_ptr,p26_ptr,p27_ptr,p28_ptr,p29_ptr
		.dc.l	p30_ptr,p31_ptr,p32_ptr,p33_ptr,p34_ptr
		.dc.l	p35_ptr,p36_ptr,p37_ptr,p38_ptr,p39_ptr
		.dc.l	p40_ptr,p41_ptr,p42_ptr,p43_ptr,p44_ptr
		.dc.l	p45_ptr,p46_ptr,p47_ptr,p48_ptr,p49_ptr
		.dc.l	p50_ptr,p51_ptr,p52_ptr,p53_ptr,p54_ptr
		.dc.l	p55_ptr,p56_ptr,p57_ptr,p58_ptr,p59_ptr
		.dc.l	p60_ptr,p61_ptr,p62_ptr,p63_ptr,p64_ptr
		.dc.l	p65_ptr,p66_ptr,p67_ptr,p68_ptr,p69_ptr
		.dc.l	p70_ptr,p71_ptr

_fillist:	.dc.l	p00_fil,p01_fil,p02_fil,p03_fil,p04_fil
		.dc.l	p05_fil,p06_fil,p07_fil,p08_fil,p09_fil
		.dc.l	p10_fil,p11_fil,p12_fil,p13_fil,p14_fil
		.dc.l	p15_fil,p16_fil,p17_fil,p18_fil,p19_fil
		.dc.l	p20_fil,p21_fil,p22_fil,p23_fil,p24_fil
		.dc.l	p25_fil,p26_fil,p27_fil,p28_fil,p29_fil
		.dc.l	p30_fil,p31_fil,p32_fil,p33_fil,p34_fil
		.dc.l	p35_fil,p36_fil,p37_fil,p38_fil,p39_fil
		.dc.l	p40_fil,p41_fil,p42_fil,p43_fil,p44_fil
		.dc.l	p45_fil,p46_fil,p47_fil,p48_fil,p49_fil
		.dc.l	p50_fil,p51_fil,p52_fil,p53_fil,p54_fil
		.dc.l	p55_fil,p56_fil,p57_fil,p58_fil,p59_fil
		.dc.l	p60_fil,p61_fil,p62_fil,p63_fil,p64_fil
		.dc.l	p65_fil,p66_fil,p67_fil,p68_fil,p69_fil
		.dc.l	p70_fil,p71_fil

;************************************************************************
;* END of ANIMATE.C							*
;************************************************************************

	.end

