#include <stdio.h>

unsigned long	SrcA[8000];
unsigned long	SrcP[8000];
unsigned long	OutP[16000];

main(int argc, char *argv[])
{
register FILE	*SrcAudio;
register FILE	*SrcPictr;
register FILE	*OutTrack;
register int	NoTimes;
register int	i,j,k;

	if (argc < 4)
		return(0);

	printf("Source Audio File Name   : %s (%ld)\n", argv[1], SrcAudio);
	printf("Source Picture File Name : %s (%ld)\n", argv[2], SrcPictr);
	printf("Destination File Name    : %s (%ld)\n", argv[3], OutTrack);
	printf("\n");

	SrcAudio = fopen(argv[1],"rb");
	SrcPictr = fopen(argv[2],"rb");
	OutTrack = fopen(argv[3],"wb");

	printf("Source Audio File Name   : %s (%ld)\n", argv[1], SrcAudio);
	printf("Source Picture File Name : %s (%ld)\n", argv[2], SrcPictr);
	printf("Destination File Name    : %s (%ld)\n", argv[3], OutTrack);
	printf("\n");

	if (!SrcAudio)
		return(-1);
	if (!SrcPictr)
		return(-2);
	if (!OutTrack)
		return(-3);

	printf("No of Times =   ", NoTimes);
	for (NoTimes = 0 ; NoTimes < 60 ; NoTimes ++)
	{
		printf("\b\b%02d", NoTimes);
		for (k = 0 ; k < 4 ; k ++)
		{
			if (!fread(SrcA, (size_t)sizeof(long), (size_t)8000, SrcAudio))
				return(-4);
			if (!fread(SrcP, (size_t)sizeof(long), (size_t)8000, SrcPictr))
				return(-5);

			for (i = 0, j = 0 ; j < 8000 ; j ++)
			{
				OutP[i++] = SrcA[j];
				OutP[i++] = SrcP[j];
			}

			if (!fwrite(OutP, (size_t)sizeof(long), (size_t)16000, OutTrack))
				return(-6);
		}
		if (fseek(SrcPictr, (long)0, 0) < 0)
			return(-7);
	}
	fclose(SrcAudio);
	fclose(SrcPictr);
	fclose(OutTrack);
	printf("\n\n");
	return(1);
}