/******************************************************************************/
/* CD_HOST.H								      */
/******************************************************************************/

#ifndef	__HEADER_CD_HOST
#define	__HEADER_CD_HOST	__HEADER_CD_HOST

/* -------------------------------------------------------------------------- */
/* routines for DSA defined in CD_GPIO.S */

extern	long	CH_DSA( void );
extern	long	BS_DSA( void );
extern	long	TX_DSA( void );
extern	long	RX_DSA( void );

extern	long	GT_ISR( void );

extern	unsigned int	DSA_in;
extern	unsigned int	DSA_out;
extern	unsigned int	DSA_err;

#define	DSA_TIMEOUT1	0xF001
#define	DSA_TIMEOUT2	0xF002
#define	DSA_XMITERR	0xF003
#define	DSA_TIMEOUT3	0xF004

/* -------------------------------------------------------------------------- */

extern	long	BuffSet( unsigned long );
extern	long	HostIni( void );
extern	long	BuffIni( void );

extern	long	SndBufA( void );
extern	long	SndBufB( void );
extern	long	SndBufC( void );

extern	unsigned int	A_maxno;
extern	unsigned long	A_rdind;
extern	unsigned long	A_ldind;
extern	unsigned char	*A_data;

extern	unsigned int	B_maxno;

extern	unsigned int	C_maxno;
extern	unsigned long	C_rdind;
extern	unsigned long	C_ldind;
extern	unsigned long	C_limit;
extern	unsigned char	C_data[];

/* -------------------------------------------------------------------------- */

#endif

/******************************************************************************/
/* End of CD_HOST.H							      */
/******************************************************************************/
